Loading ...

PowerChute Personal Edition 3.0.2 won't install on Windows 10 | UPS Management Devices & PowerChute Software

Home » Spaces » UPS Management Devices & PowerChute Software » discussion » General » PowerChute Personal Edition 3.0.2 won't install on Windows 10

PowerChute Personal Edition 3.0.2 won't install on Windows 10

Discussion in UPS Management Devices & PowerChute Software started by tcloud , 5/10/2016 12:15 PM
Login to follow, share, and participate in this space.
Not a member?Join now
Announcement 

Please review Schneider Electric Knowledge Base articles for assistance with most technical support questions.  http://www.apc.com/us/en/faqs

Posted in: General

PowerChute Personal Edition 3.0.2 won't install on Windows 10

Subscribe to RSS
  • tcloud

    I have BR1500G and Windows 10 Pro 64-bit and can't get PCPEInstaller.exe (fresh download of v. 3.0.2) to install -- it won't get past installing .net 2.0

    * .net 2.0 won't install on Windows 10, so can't install PowerChute Personal Edition 3.0.2

    The "Compatibility Chart" says -- "PowerChute Personal Edition 3.0.2 requires the installation of .NET framework 2.0 SP2 on Windows XP ..."  I'm not running XP, I'm running Windows 10.

    Any help would be greatly appreciated.

  • wpasquil

    Hi,

    The minimum requirement is .NET 2 You do not need to install .NET 2.0 but you do need to install a version above that one. If your system did not ship with .NET framework you can download on line. If you need assistance installing you should contact Microsoft. 

    Here is a link to Microsoft page that discusses the .NET framework and needed dependencies.  https://msdn.microsoft.com/en-us/library/bb822049(v=vs.110).aspx

  • btillison

    I have .Net 4.6.1 installed, but the APC software won't install, demanding .net 2 sp 2.